Index: c/src/ada-tests/mptests/mp14/mptest.adb
===================================================================
--- c/src/ada-tests/mptests/mp14/mptest.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp14/mptest.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -24,4 +24,10 @@
 with INTERFACES.C;
 with RTEMS;
+with RTEMS.EVENT;
+with RTEMS.MESSAGE_QUEUE;
+with RTEMS.PARTITION;
+with RTEMS.SEMAPHORE;
+with RTEMS.TASKS;
+with RTEMS.TIMER;
 with TEST_SUPPORT;
 with TEXT_IO;
@@ -32,5 +38,4 @@
 package body MPTEST is
 
---PAGE
 --
 --  STOP_TEST_TSR
@@ -47,5 +52,4 @@
    end STOP_TEST_TSR;
  
---PAGE
 --
 --  EXIT_TEST
@@ -59,5 +63,5 @@
    begin
  
-      RTEMS.TASK_MODE(RTEMS.NO_PREEMPT, RTEMS.PREEMPT_MASK, OLD_MODE, STATUS);
+      RTEMS.TASKS.MODE(RTEMS.NO_PREEMPT, RTEMS.PREEMPT_MASK, OLD_MODE, STATUS);
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_MODE" );
 
@@ -68,5 +72,4 @@
    end EXIT_TEST;
  
---PAGE
 --
 --  INIT
@@ -74,9 +77,9 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       INDEX             : RTEMS.UNSIGNED32;
       STATUS            : RTEMS.STATUS_CODES;
-      PREVIOUS_PRIORITY : RTEMS.TASK_PRIORITY;
+      PREVIOUS_PRIORITY : RTEMS.TASKS.PRIORITY;
    begin
 
@@ -93,5 +96,5 @@
       MPTEST.STOP_TEST := FALSE;
 
-      RTEMS.TIMER_CREATE(
+      RTEMS.TIMER.CREATE(
          MPTEST.STOP_TIMER_NAME,
          MPTEST.STOP_TIMER_ID,
@@ -100,5 +103,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TIMER_CREATE" );
 
-      RTEMS.TIMER_FIRE_AFTER(
+      RTEMS.TIMER.FIRE_AFTER(
          MPTEST.STOP_TIMER_ID,
          TEST_SUPPORT.MAXIMUM_LONG_TEST_DURATION *
@@ -145,5 +148,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Semaphore (Global)" );
-         RTEMS.SEMAPHORE_CREATE(
+         RTEMS.SEMAPHORE.CREATE(
             MPTEST.SEMAPHORE_NAME( 1 ),
             1,
@@ -155,5 +158,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Message Queue (Global)" );
-         RTEMS.MESSAGE_QUEUE_CREATE(
+         RTEMS.MESSAGE_QUEUE.CREATE(
             MPTEST.QUEUE_NAME( 1 ),
             1,
@@ -165,5 +168,5 @@
 
          TEXT_IO.PUT_LINE( "Creating Partition (Global)" );
-         RTEMS.PARTITION_CREATE(
+         RTEMS.PARTITION.CREATE(
             MPTEST.PARTITION_NAME( 1 ),
             MPTEST.PARTITION_AREA( 0 )'ADDRESS,
@@ -179,5 +182,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Event task (Global)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.EVENT_TASK_NAME(
             TEST_SUPPORT.NODE
@@ -193,5 +196,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Event task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.EVENT_TASK_ID( 1 ),
          MPTEST.TEST_TASK'ACCESS,
@@ -202,5 +205,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Semaphore task (Global)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.SEMAPHORE_TASK_NAME(
             TEST_SUPPORT.NODE
@@ -216,5 +219,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Semaphore task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.SEMAPHORE_TASK_ID( 1 ),
          MPTEST.SEMAPHORE_TASK'ACCESS,
@@ -225,5 +228,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Message Queue task (Global)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.QUEUE_TASK_NAME(
             TEST_SUPPORT.NODE
@@ -239,5 +242,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Message Queue task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.QUEUE_TASK_ID( 1 ),
          MPTEST.MESSAGE_QUEUE_TASK'ACCESS,
@@ -248,5 +251,5 @@
 
       TEXT_IO.PUT_LINE( "Creating Partition task (Global)" );
-      RTEMS.TASK_CREATE(
+      RTEMS.TASKS.CREATE(
          MPTEST.PARTITION_TASK_NAME(
             TEST_SUPPORT.NODE 
@@ -262,5 +265,5 @@
 
       TEXT_IO.PUT_LINE( "Starting Partition task (Global)" );
-      RTEMS.TASK_START(
+      RTEMS.TASKS.START(
          MPTEST.PARTITION_TASK_ID( 1 ),
          MPTEST.PARTITION_TASK'ACCESS,
@@ -270,5 +273,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START" );
     
-      RTEMS.TASK_SET_PRIORITY( RTEMS.SELF, 2, PREVIOUS_PRIORITY, STATUS );
+      RTEMS.TASKS.SET_PRIORITY( RTEMS.SELF, 2, PREVIOUS_PRIORITY, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_SET_PRIORITY" );
 
@@ -293,5 +296,5 @@
    begin
 
-      RTEMS.EVENT_SEND(
+      RTEMS.EVENT.SEND(
          MPTEST.TASK_ID( RTEMS.GET_INDEX( TIMER_ID ) ),
          RTEMS.EVENT_16,
@@ -311,5 +314,5 @@
  
    procedure TEST_TASK ( 
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    ) is
       REMOTE_NODE : RTEMS.UNSIGNED32;
@@ -327,5 +330,5 @@
 
       TEXT_IO.PUT_LINE( "About to go to sleep!" );
-      RTEMS.TASK_WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
+      RTEMS.TASKS.WAKE_AFTER( 1 * TEST_SUPPORT.TICKS_PER_SECOND, STATUS );
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_WAKE_AFTER" );
       TEXT_IO.PUT_LINE( "Waking up!" );
@@ -338,5 +341,5 @@
       loop
 
-         RTEMS.TASK_IDENT(
+         RTEMS.TASKS.IDENT(
             MPTEST.EVENT_TASK_NAME( REMOTE_NODE ),
             RTEMS.SEARCH_ALL_NODES,
@@ -359,5 +362,5 @@
             for COUNT in 1 .. MPTEST.EVENT_TASK_DOT_COUNT
             loop
-               RTEMS.EVENT_SEND(
+               RTEMS.EVENT.SEND(
                   REMOTE_TID,
                   RTEMS.EVENT_16,
@@ -385,5 +388,5 @@
             exit when MPTEST.STOP_TEST = TRUE;
 
-            RTEMS.EVENT_RECEIVE(
+            RTEMS.EVENT.RECEIVE(
                RTEMS.EVENT_16,
                RTEMS.DEFAULT_OPTIONS,
@@ -413,5 +416,5 @@
   
    procedure DELAYED_EVENTS_TASK (  
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT 
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT 
    ) is
       COUNT         : RTEMS.UNSIGNED32;
@@ -421,5 +424,5 @@
    begin
 
-      RTEMS.TASK_MODE(
+      RTEMS.TASKS.MODE(
          RTEMS.PREEMPT + RTEMS.TIMESLICE,
          RTEMS.PREEMPT_MASK + RTEMS.TIMESLICE_MASK,
@@ -429,5 +432,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_MODE" );
  
-      RTEMS.TIMER_CREATE(
+      RTEMS.TIMER.CREATE(
          MPTEST.TIMER_NAME( 1 ),
          MPTEST.TIMER_ID( 1 ),
@@ -436,5 +439,5 @@
       TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TIMER_CREATE" );
 
-      RTEMS.TASK_IDENT(
+      RTEMS.TASKS.IDENT(
          RTEMS.SELF,
          RTEMS.SEARCH_ALL_NODES,
@@ -448,5 +451,5 @@
          for COUNT in 1 .. MPTEST.DELAYED_EVENT_DOT_COUNT 
          loop 
-            RTEMS.TIMER_FIRE_AFTER(
+            RTEMS.TIMER.FIRE_AFTER(
                MPTEST.TIMER_ID( 1 ),
                1,
@@ -457,5 +460,5 @@
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TIMER_FIRE_AFTER" );
 
-            RTEMS.EVENT_RECEIVE(
+            RTEMS.EVENT.RECEIVE(
                RTEMS.EVENT_16,
                RTEMS.DEFAULT_OPTIONS,
@@ -485,5 +488,5 @@
   
    procedure MESSAGE_QUEUE_TASK (  
-      INDEX : in     RTEMS.TASK_ARGUMENT 
+      INDEX : in     RTEMS.TASKS.ARGUMENT 
    ) is
       COUNT          : RTEMS.UNSIGNED32;
@@ -503,5 +506,5 @@
       loop
 
-         RTEMS.MESSAGE_QUEUE_IDENT(
+         RTEMS.MESSAGE_QUEUE.IDENT(
             MPTEST.QUEUE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -517,5 +520,5 @@
       if TEST_SUPPORT.NODE = 1 then
 
-         RTEMS.MESSAGE_QUEUE_SEND(
+         RTEMS.MESSAGE_QUEUE.SEND(
             MPTEST.QUEUE_ID( 1 ),
             MPTEST.BUFFERS( INDEX ),
@@ -555,5 +558,5 @@
            exit when MPTEST.STOP_TEST = TRUE;
 
-            RTEMS.MESSAGE_QUEUE_RECEIVE(
+            RTEMS.MESSAGE_QUEUE.RECEIVE(
                MPTEST.QUEUE_ID( 1 ),
                MPTEST.BUFFERS( INDEX ),
@@ -574,5 +577,5 @@
             end if;
 
-            RTEMS.MESSAGE_QUEUE_SEND(
+            RTEMS.MESSAGE_QUEUE.SEND(
                MPTEST.QUEUE_ID( 1 ),
                MPTEST.BUFFERS( INDEX ),
@@ -588,5 +591,5 @@
                   if YIELD_COUNT = 0 then
 
-                     RTEMS.TASK_WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
+                     RTEMS.TASKS.WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
                      TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "YIELD" );
 
@@ -618,5 +621,5 @@
   
    procedure PARTITION_TASK (  
-      IGNORED : in     RTEMS.TASK_ARGUMENT 
+      IGNORED : in     RTEMS.TASKS.ARGUMENT 
    ) is
       COUNT  : RTEMS.UNSIGNED32;
@@ -629,5 +632,5 @@
       loop
 
-         RTEMS.PARTITION_IDENT(
+         RTEMS.PARTITION.IDENT(
             MPTEST.PARTITION_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -650,5 +653,5 @@
             exit when MPTEST.STOP_TEST = TRUE;
 
-            RTEMS.PARTITION_GET_BUFFER(
+            RTEMS.PARTITION.GET_BUFFER(
                MPTEST.PARTITION_ID( 1 ),
                BUFFER,
@@ -657,5 +660,5 @@
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "PARTITION_GET_BUFFER" );
 
-            RTEMS.PARTITION_RETURN_BUFFER(
+            RTEMS.PARTITION.RETURN_BUFFER(
                MPTEST.PARTITION_ID( 1 ),
                BUFFER,
@@ -669,5 +672,5 @@
             if TEST_SUPPORT.NODE = 1 then
 
-               RTEMS.TASK_WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
+               RTEMS.TASKS.WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
                TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "YIELD" );
 
@@ -693,5 +696,5 @@
   
    procedure SEMAPHORE_TASK (  
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT 
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT 
    ) is
       COUNT          : RTEMS.UNSIGNED32;
@@ -704,5 +707,5 @@
       loop
 
-         RTEMS.SEMAPHORE_IDENT(
+         RTEMS.SEMAPHORE.IDENT(
             MPTEST.SEMAPHORE_NAME( 1 ),
             RTEMS.SEARCH_ALL_NODES,
@@ -727,5 +730,5 @@
             exit when MPTEST.STOP_TEST = TRUE;
 
-            RTEMS.SEMAPHORE_OBTAIN(
+            RTEMS.SEMAPHORE.OBTAIN(
                MPTEST.SEMAPHORE_ID( 1 ),
                RTEMS.DEFAULT_OPTIONS,
@@ -735,5 +738,5 @@
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_OBTAIN" );
 
-            RTEMS.SEMAPHORE_RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
+            RTEMS.SEMAPHORE.RELEASE( MPTEST.SEMAPHORE_ID( 1 ), STATUS );
             TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "SEMAPHORE_RELEASE" );
 
@@ -744,5 +747,5 @@
                if YIELD_COUNT = 0 then
 
-                  RTEMS.TASK_WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
+                  RTEMS.TASKS.WAKE_AFTER( RTEMS.YIELD_PROCESSOR, STATUS );
                   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "YIELD" );
 
Index: c/src/ada-tests/mptests/mp14/mptest.ads
===================================================================
--- c/src/ada-tests/mptests/mp14/mptest.ads	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp14/mptest.ads	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 
 package MPTEST is
@@ -176,5 +177,5 @@
 
    procedure INIT (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, INIT);
@@ -189,5 +190,5 @@
 
    procedure TEST_TASK (
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, TEST_TASK);
@@ -202,5 +203,5 @@
  
    procedure DELAYED_EVENTS_TASK ( 
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, DELAYED_EVENTS_TASK);
@@ -215,5 +216,5 @@
  
    procedure MESSAGE_QUEUE_TASK ( 
-      INDEX : in     RTEMS.TASK_ARGUMENT
+      INDEX : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, MESSAGE_QUEUE_TASK);
@@ -228,5 +229,5 @@
  
    procedure PARTITION_TASK ( 
-      IGNORED : in     RTEMS.TASK_ARGUMENT
+      IGNORED : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, PARTITION_TASK);
@@ -241,5 +242,5 @@
  
    procedure SEMAPHORE_TASK ( 
-      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+      ARGUMENT : in     RTEMS.TASKS.ARGUMENT
    );
    pragma Convention (C, SEMAPHORE_TASK);
Index: c/src/ada-tests/mptests/mp14/node1/mp14_node1.adb
===================================================================
--- c/src/ada-tests/mptests/mp14/node1/mp14_node1.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp14/node1/mp14_node1.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
Index: c/src/ada-tests/mptests/mp14/node2/mp14_node2.adb
===================================================================
--- c/src/ada-tests/mptests/mp14/node2/mp14_node2.adb	(revision 3a23218a74723a77a5438c6960879e4ab4e1d2be)
+++ c/src/ada-tests/mptests/mp14/node2/mp14_node2.adb	(revision 3c4d8cd15e9a3ffd24f2c5b4643d208d71a08dfb)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-2007.
+--  COPYRIGHT (c) 1989-2011.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -22,4 +22,5 @@
 
 with RTEMS;
+with RTEMS.TASKS;
 with MPTEST;
 with TEST_SUPPORT;
@@ -30,5 +31,5 @@
 begin
 
-   RTEMS.TASK_CREATE(
+   RTEMS.TASKS.CREATE(
       RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
       1,
@@ -42,5 +43,5 @@
 
 
-   RTEMS.TASK_START(
+   RTEMS.TASKS.START(
       INIT_ID,
       MPTEST.INIT'ACCESS,
